[needs packaging] Mediathek

Reported by bojo42 on 2010-09-09
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Thomas B.

Bug Description

Description: download/subscribe to streams (online in Mediathek) from public german TV stations (ARTE, ARD, ZDF, 3Sat, MDR, SF DRS)
URL: http://zdfmediathk.sourceforge.net/
License: GPLv3
Notes: is a GUI based Java app

bojo42 (bojo42) wrote :

working on it.

tags: added: needs-packaging
Changed in ubuntu:
status: New → Confirmed
Thomas B. (lostis) wrote :

done :)

see my ppa

https://launchpad.net/~lostis/+archive/experimental

I have packeged it and announced to the upstream author Xaver W.

how do i purpose for official Ubuntu Universe Repo?

Greetings,
Thomas B.

bojo42 (bojo42) wrote :

@Thomas: damn too late i am also already done. it's currently in my testing PPA. i will later take a look at your packaging to see if we can merge them into one.

Thomas B. (lostis) wrote :

yes not the best timing for us two :-)
i will also see for
   a watch file
   little cdbs stuff in rules
   patch targets
   uupdates
this will be ~ppa6 in a few minutes in my repo

I also take a look on your debs, so we can make a package for the MOTU in the end

Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
Thomas B. (lostis) wrote :

In my opionion its ready for the daily use

sudo add-apt-repository ppa:lostis/stable
sudo apt-get update
sudo apt-get install mediathekview

changelog:

mediathekview (2.1.4-0ubuntu1~lucid~ppa8) lucid; urgency=low

  * fixed compiling shared libs

 -- Thomas B. <email address hidden> Fri, 10 Sep 2010 10:35:54 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa7) lucid; urgency=low

  * need-packaging Bug (LP: #633883)
  * fixed dependencies problems in lucid
  * merged with uploader bojo42 and added in debian/control
  * fixed build.xml
  * desktop file categories and comment

 -- Thomas B. <email address hidden> Fri, 10 Sep 2010 02:27:49 +0200

mediathekview (2.1.4-0ubuntu1~lucid~ppa6) lucid; urgency=low

  * added watch file for uscan
  * changed to debian/rules file change to cdbs
  * change directory structure to fit with .orig.tar.gz from upstream
  * added include-binaries whitelist
  * changed build.xml src-directory-path

 -- Thomas B. <email address hidden> Thu, 09 Sep 2010 12:44:58 +0200

bojo42 (bojo42) wrote :

okay i finally got some time to review your packaging, but i i have a few considerations about it:
- let's stick to plain debhelper 7 and source format 3.0
- also stick to the rest of the best-practice from http://pkg-java.alioth.debian.org
- modifications to the source should be made as patch (-> build.xml)
- we shouldn't ship libs that are already packaged or aren't directly from upstream and deserve a own package
- additional binary files should be in the debian dir and get an include the "source format 3.0" way

therefore i kept my package, but included some thing from you packaging:
- PNG logo
- debian/watch
- set flvstreamer, vlc, mplayer-nogui | mplayer to recommends instead of depends
- use your translated description

i also edited the credits, so we are both in copyright and are both uploaders in control.

the package and the backport for rome can be found under:

https://launchpad.net/~bojo42/+archive/mediathekview

Thomas B. (lostis) wrote :

thx for your helpful response :)

- let's stick to plain debhelper 7 and source format 3.0
+ i don't see why?
- also stick to the rest of the best-practice from http://pkg-java.alioth.debian.org
+ yes i know that, i took nearly all my java packaging knowledge from there ;)
- modifications to the source should be made as patch (-> build.xml)
+ fixed, learned how to patch with quilt
- we shouldn't ship libs that are already packaged or aren't directly from upstream and deserve a own package
+ build librome in my ppa, too. so i could remove it from the package now
- additional binary files should be in the debian dir and get an include the "source format 3.0" way
+ fixed

 mediathekview (2.1.4-0ubuntu1~lucid~ppa10) lucid; urgency=low
 .
   * deleted all included libs in this package
   * created manpage of MediathekView
   * added pdf manual from the orginal author
   * corrected build.xml patch
   * fixed all lintian issues
   * fixed to single icon

i missed to include your copyright, srry will be in next release

Now running lintian...
W: mediathekview source: uploader-not-full-name bojo42
Finished running lintian.
-> so make a real name ;)

actually there is a bug/regression open in this program version from 2.1.2 to 2.1.3
see project forum -> help section, the author knows about so debian building is correct

when maverick appear i can drop a few workaround from build.xml due to ant version

so now i am quite happy for my first package ;)

Thomas B. (lostis) wrote :

- your copyright is now included
- proposed it for debian unstable at mentors.debian.net
- updated package to upstream version 2.1.5, now it is compatible with openJDK again ;)

Thomas B. (lostis) on 2010-09-19
Changed in ubuntu:
status: Confirmed → In Progress
assignee: nobody → Thomas B. (lostis)
Changed in debian:
status: Unknown → New
Thomas B. (lostis) wrote :

new upstream version 2.4.0

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/m/mediathekview
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/m/mediathekview/mediathekview_2.4.0-1.dsc

also contacted sponsor for uploading today

Thomas B. (lostis) wrote :

new upstream version 2.4.0

The package can be found on mentors.debian.net:
- URL
  http://mentors.debian.net/debian/pool/main/m/mediathekview
- Source repository:
  deb-src http://mentors.debian.net/debian unstable main contrib non-free

also contacted sponsor for uploading today

Thomas B. (lostis) wrote :

new upstream version 2.4.0

The package can be found on mentors.debian.net:
- URL
  mentors.debian.net/debian/pool/main/m/mediathekview
- Source repository:
  deb-src mentors.debian.net/debian unstable main contrib non-free

also contacted sponsor for uploading today

Linuxexperte (andrea-koeth) wrote :

hi dears,

I just downloaded your nice app yesterday and it is a real "must have" besides ubuntu-tweak.

I also downloaded several contents with this app yesterday. But today after starting up my machine, I found that in all browsers I cannot play any video-content anymore. Everytime I get the message "Content not found or access denied". My used browsers are the currrent version of firefox and seamonky 2.0.11. I do not hope, that this is caused by this app. Or is this app not legal??

What can cause this problem??

Linuxexperte (andrea-koeth) wrote :

hi dears,
suddenly the problem dissappeared and videos work again. It seems, that the channels themselves had problems with their pages. But now it works again. Thank you!!

This app is really "the hammer" and it is an app, that I had waited for a quite long time!!!

One question: could you produce such an app also for the private channels like Kabel1, Sat1, RTL, RTL2, Pro7, Vox and all the others? This would be so genious of you. Because these private channels often have so cool films in their program that I wanted to download. I often tried that also across the Internet. But it didn't really work out. Everytime when I tried to download one of these videos from these private channels, the videos only loaded partly and then suddenly interrupted and stopped. This is nerving. So please please please make an app also for these channels!!!! Thank you guys in advance for your so cool work!!!!

Greetings
Linuxexperte

bojo42 (bojo42) wrote :

@Linuxexperte: Thomas and i are just making sure this "app" has a good integration within Debian and Ubuntu. This bug report is meant for building a package of Mediathekview. We're not developing it. So you should give the real author your thanks and feature wishes at http://zdfmediathk.sourceforge.net/

BTW and don't think it's realistic that private broadcasting stations will give their content away like the public ones do. When you can't watch it on their websites, you can't make an "app" for streaming/downloading the stuff directly.

Linuxexperte (andrea-koeth) wrote :

hi dear,

this nice app needs packaging for natty!! LinuxMint 11 RC and Ubuntu 11.04 are already out!!! Please make this package available for natty too. This app has evolved into a "must-have" besides ubuntu-tweak in the meantime not only for me but also for many other users too.

So please make a package ready for natty!!!

bojo42 (bojo42) wrote :

the package is finally in unstable and therefore already synced for oneiric. i am willing to do an upgrade based on this great achievement, but i don't find a hint what git commit equals the 2.5.0 release, as there is no source included in the releases since 2.3.0. can somehow help out or do we need to get in contact with upstream?

anyway i pushed the latest version in debian as backports to my PPA: https://launchpad.net/~bojo42/+archive/mediathekview

BTW we probably should close this bug as we finally have a package in the development series or change the topic in a backport request ;) thx to all involved.

Linuxexperte (andrea-koeth) wrote :

hi dear,

thanks for upgrading this super-good package. The source is included in the debian-package and MediathekView 2.5.0 runs so somooth and fine for me on Windows, so that I was missing it in my Linux-Distro. So you see, I was already able to test it.

Thanks for this great achievement and keep it onwards in development for the future distros please!!! Please, please, please!!!! It is a real "must-have" for me and many other users of Ubuntu and its Derivates too....

Thanks again!!!

bojo42 (bojo42) wrote :

@Linuxexperte: you must be confusing something, a old debian package can't contain the source for a new upstream release ;)

anyway i updated the packages in my ppa to version 2.5 using the tarball from dnjl's build, as it almost equals git commit f90de28a015109b45e9a96fd20ca2976c6fe49ca beside a small version modification:
https://launchpad.net/~bojo42/+archive/mediathekview

Linuxexperte (andrea-koeth) wrote :

hi bojo42,

a new version 2.6 is out for mediathekview on the link mentioned in the very first posting. I had sent you the link also via email and it is time to update your ppa-repository!! We users are badly waiting for it!! I love this little app, because it already made so many things possible for me, which I never imagined and which also the producers of these TV-stations never imagine... :)

So please update your nice pppa-repository to version 2.6 for natty and oneiric because I already upgraded to oneiric and I don't want to miss your app.

Greetings
your friend
Linuxexperte

Linuxexperte (andrea-koeth) wrote :

And what I wanted to add: this bug here "needs packaging" is not only valid for Debian and Ubuntu. No, it is also valid for LinuxMint (because LinuxMint 12 is based on Ubuntu 11.10).

So this bug also affects LinuxMint and many other distros too.

Greetings
Linuxexperte

Linuxexperte (andrea-koeth) wrote :

hi bojo42,

here are some links, where you can find this new version of Mediathekview:

http://www.chip.de/downloads/MediathekView_34031575.html

http://www.heise.de/software/download/mediathekview/60659

So I hope, that you will update your nice ppa-repository soon together with dnjl. What about a suggestion, that you could make a mutual ppa-repository for mediathekview together??

Greetings
Linuxexüerte

bojo42 (bojo42) wrote :

Sorry, will take me at least till end of november to be able to do it.

BTW this bug report should be closed, as we do have a package now in Debian and Ubuntu. Updating the package deserves a own bugreport.

OK, then I will open a new report on that...thanks a lot!!

Greetings
your friend
Linuxexperte

Am 10.11.2011, 09:35 Uhr, schrieb bojo42 <email address hidden>:

> Sorry, will take me at least till end of november to be able to do it.
>
> BTW this bug report should be closed, as we do have a package now in
> Debian and Ubuntu. Updating the package deserves a own bugreport.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

bojo42 (bojo42) on 2011-11-11
Changed in ubuntu:
status: In Progress → Fix Released
Changed in debian:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.